gtkmm 3.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::AppChooserButton Class Reference
Widgets

A button to launch an application chooser dialog. More...

Inheritance diagram for Gtk::AppChooserButton:
[legend]
Collaboration diagram for Gtk::AppChooserButton:
[legend]

List of all members.

## Public Member Functions
virtual | ~AppChooserButton ()
GtkAppChooserButton* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkAppChooserButton* | gobj () const
| Provides access to the underlying C GtkObject.
| AppChooserButton (const Glib::ustring& content_type)
| Creates a new app-chooser button for applications that can handle content of the given type.
void | append_separator ()
void | append_custom_item (const Glib::ustring& name, const Glib::ustring& label, const Glib::RefPtr< Gio::Icon >& icon)
void | set_active_custom_item (const Glib::ustring& name)
void | set_show_dialog_item (bool setting=true)
bool | get_show_dialog_item () const
void | set_heading (const Glib::ustring& heading)
Glib::ustring | get_heading () const
Glib::SignalProxy1< void, const Glib::ustring& > | signal_custom_item_activated ()
Glib::PropertyProxy< bool > | property_show_dialog_item ()
| Whether the combobox should include an item that triggers a GtkAppChooserDialog.
Glib::PropertyProxy_ReadOnly < bool > | property_show_dialog_item () const
| Whether the combobox should include an item that triggers a GtkAppChooserDialog.
Glib::PropertyProxy < Glib::ustring > | property_heading ()
| The text to show at the top of the dialog.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_heading () const
| The text to show at the top of the dialog.
## Protected Member Functions
virtual void | on_custom_item_activated (const Glib::ustring& item_name)
## Related Functions
(Note that these are not member functions.)
Gtk::AppChooserButton* | wrap (GtkAppChooserButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A button to launch an application chooser dialog.

This widget lets the user select an application. See the GtkAppChooser base class API.

The AppChooserButton widget looks like this:

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::AppChooserButton::~AppChooserButton | ( |  | ) | `[virtual]`

Gtk::AppChooserButton::AppChooserButton | ( | const Glib::ustring & | content_type | ) | `[explicit]`

Creates a new app-chooser button for applications that can handle content of the given type.

Parameters:

  content_type | The content type to show applications for

## Member Function Documentation

void Gtk::AppChooserButton::append_custom_item | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | label,
|  | const Glib::RefPtr< Gio::Icon > & | icon
| ) |  |

void Gtk::AppChooserButton::append_separator | ( |  | ) |

Glib::ustring Gtk::AppChooserButton::get_heading | ( |  | ) | const

bool Gtk::AppChooserButton::get_show_dialog_item | ( |  | ) | const

const GtkAppChooserButton* Gtk::AppChooserButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::AppChooser.

GtkAppChooserButton* Gtk::AppChooserButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::AppChooser.

virtual void Gtk::AppChooserButton::on_custom_item_activated | ( | const Glib::ustring & | item_name | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AppChooserButton::property_heading | ( |  | ) | const

The text to show at the top of the dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::AppChooserButton::property_heading | ( |  | ) |

The text to show at the top of the dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::AppChooserButton::property_show_dialog_item | ( |  | ) | const

Whether the combobox should include an item that triggers a GtkAppChooserDialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::AppChooserButton::property_show_dialog_item | ( |  | ) |

Whether the combobox should include an item that triggers a GtkAppChooserDialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::AppChooserButton::set_active_custom_item | ( | const Glib::ustring & | name | ) |

void Gtk::AppChooserButton::set_heading | ( | const Glib::ustring & | heading | ) |

void Gtk::AppChooserButton::set_show_dialog_item | ( | bool | setting = `true` | ) |

Glib::SignalProxy1< void,const Glib::ustring& > Gtk::AppChooserButton::signal_custom_item_activated | ( |  | ) |

Prototype:
  `void on_my_custom_item_activated(const Glib::ustring& item_name)`

## Friends And Related Function Documentation

Gtk::AppChooserButton* wrap | ( | GtkAppChooserButton * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/appchooserbutton.h